package com.usky.park.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.park.domain.EgConfig;
import com.usky.park.mapper.EgConfigMapper;
import com.usky.park.service.EgConfigService;
import com.usky.common.mybatis.core.AbstractCrudService;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestBody;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 门禁进出统计配置设备表 服务实现类
 * </p>
 *
 * @author zyj
 * @since 2023-04-26
 */
@Service
public class EgConfigServiceImpl extends AbstractCrudService<EgConfigMapper, EgConfig> implements EgConfigService {
    @Override
    public void updateEgConfig(EgConfig egConfig){
        egConfig.setConfigTime(LocalDateTime.now());
        this.updateById(egConfig);
    }

    @Override
    public List<EgConfig> getEgConfig(){
        LambdaQueryWrapper<EgConfig> queryWrapper = Wrappers.lambdaQuery();
        List<EgConfig> list = this.list(queryWrapper);
        return list;
    }

}
